Skip to main content
POST
/
v1
/
s
/
connection
/
authorization
Authorize a connection (sessionToken)
const options = {
  method: 'POST',
  headers: {
    'x-api-key': '<api-key>',
    'x-api-secret': '<api-key>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({scopes: ['<string>'], settings: {}})
};

fetch('https://api.runmorph.dev/v1/s/connection/authorization', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
curl --request POST \
  --url https://api.runmorph.dev/v1/s/connection/authorization \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-api-secret: <api-key>' \
  --data '
{
  "scopes": [
    "<string>"
  ],
  "settings": {}
}
'
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.runmorph.dev/v1/s/connection/authorization"

	payload := strings.NewReader("{\n  \"scopes\": [\n    \"<string>\"\n  ],\n  \"settings\": {}\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<api-key>")
	req.Header.Add("x-api-secret", "<api-key>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.runmorph.dev/v1/s/connection/authorization",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'scopes' => [
        '<string>'
    ],
    'settings' => [
        
    ]
  ]),
  CURLOPT_HTTPHEADER => [
    "Content-Type: application/json",
    "x-api-key: <api-key>",
    "x-api-secret: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
import requests

url = "https://api.runmorph.dev/v1/s/connection/authorization"

payload = {
    "scopes": ["<string>"],
    "settings": {}
}
headers = {
    "x-api-key": "<api-key>",
    "x-api-secret": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
HttpResponse<String> response = Unirest.post("https://api.runmorph.dev/v1/s/connection/authorization")
  .header("x-api-key", "<api-key>")
  .header("x-api-secret", "<api-key>")
  .header("Content-Type", "application/json")
  .body("{\n  \"scopes\": [\n    \"<string>\"\n  ],\n  \"settings\": {}\n}")
  .asString();
{
  "connectorId": "<string>",
  "ownerId": "<string>",
  "status": "<string>",
  "object": "connectionAuthorization",
  "authorizationUrl": "<string>"
}
{
  "message": ""
}
{
  "message": ""
}

Authorizations

x-api-key
string
header
required
x-api-secret
string
header
required

Query Parameters

redirectUrl
string<uri>
mode
enum<string>
Available options:
connect,
direct

Body

scopes
string[]
settings
object

Response

OK

connectorId
string
required
ownerId
string
required
status
string
required
object
enum<string>
default:connectionAuthorization
Available options:
connectionAuthorization
authorizationUrl
string